EZ5 MIB Catalog

CISCO-MAU-EXT-MIB

2008-03-05

A MIB module for extending the MAU-MIB (RFC 3636) to add objects which provide additional management information about MAU or Jack not available in MAU-MIB.

Download CISCO-MAU-EXT-MIB.txt Open CISCO-MAU-EXT-MIB.txt in a new tab

TABLES (3)

Tables (3)

NameOID
cmExtJackConfigTableaugments ifJackTable (MAU-MIB)1.3.6.1.4.1.9.9.398.1.1.1
cmExtIfAutoMdixConfigTable1.3.6.1.4.1.9.9.398.1.2.1
cmExtIfMauTrafficTable1.3.6.1.4.1.9.9.398.1.3.1

END OF TOC

Table details

cmExtJackConfigTable

1.3.6.1.4.1.9.9.398.1.1.1

augments ifJackTable (MAU-MIB)

Index: ifMauIfIndex · ifMauIndex · ifJackIndex

Reference: Reference RFC 3636, ifJackTable.

This table contains management information about MAUs attached to interfaces with managed jacks. The objects in this table are in addition to the objects in the ifJackTable.

from MAU-MIB

ifMauIfIndex

InterfaceIndexA unique value, greater than zero, for each interface or interface sub-layer in the managed system. It is recommended that values are assigned contiguously starting from 1. The value for each interface sub-layer must remain constant at least from one re-initialization of the entity's network management system to the next re-initialization. (1..2147483647) · Integer32 · hint d

Reference: RFC 2863, ifIndex

This variable uniquely identifies the interface to which the MAU described by this entry is connected.

ifMauIndex

Integer32 (1..2147483647)

Reference: [IEEE802.3], 30.5.1.1.1, aMAUID.

This variable uniquely identifies the MAU described by this entry from among other MAUs connected to the same interface (ifMauIfIndex).

ifJackIndex

Integer32 (1..2147483647)

This variable uniquely identifies the jack described by this entry from among other jacks attached to the same MAU.

cmExtJackState

1.3.6.1.4.1.9.9.398.1.1.1.1.1

INTEGER1 = active2 = inactive · Integer32

Indicates the state of a particular jack. Within a particular MAU, setting this to 'active' on a jack which is not the current active jack will deactivate the current active jack. Setting the current active jack to 'active' has no effect. A value of inactive(2) indicates that the jack is currently deactiveated. Setting this to 'inactive' has no effect. Of all the jacks connected to a MAU, at least one must be active at all times.

cmExtIfAutoMdixConfigTable

1.3.6.1.4.1.9.9.398.1.2.1

Index: ifMauIfIndex · ifMauIndex

This table contains Auto-MDIX configuration information for MAUs attached to interfaces in the device. An entry appears in this table for each active Auto-MDIX capable MAU connected to interfaces in the device.

from MAU-MIB

ifMauIfIndex

InterfaceIndexA unique value, greater than zero, for each interface or interface sub-layer in the managed system. It is recommended that values are assigned contiguously starting from 1. The value for each interface sub-layer must remain constant at least from one re-initialization of the entity's network management system to the next re-initialization. (1..2147483647) · Integer32 · hint d

Reference: RFC 2863, ifIndex

This variable uniquely identifies the interface to which the MAU described by this entry is connected.

ifMauIndex

Integer32 (1..2147483647)

Reference: [IEEE802.3], 30.5.1.1.1, aMAUID.

This variable uniquely identifies the MAU described by this entry from among other MAUs connected to the same interface (ifMauIfIndex).

cmExtIfAutoMdixEnabled

1.3.6.1.4.1.9.9.398.1.2.1.1.1

TruthValue1 = true2 = falseRepresents a boolean value. · Integer32

Specifies if Auto-MDIX feature is enabled on the MAU.

cmExtIfMauTrafficTable

1.3.6.1.4.1.9.9.398.1.3.1

Index: ifMauIfIndex · ifMauIndex

Reference: ifMauTable defined in MAU-MIB [RFC 4836].

The (conceptual) table that identifies the type of traffic carried by the interfaces associated with the MAUs in the device. This table is sparse dependant on ifMauTable.

from MAU-MIB

ifMauIfIndex

InterfaceIndexA unique value, greater than zero, for each interface or interface sub-layer in the managed system. It is recommended that values are assigned contiguously starting from 1. The value for each interface sub-layer must remain constant at least from one re-initialization of the entity's network management system to the next re-initialization. (1..2147483647) · Integer32 · hint d

Reference: RFC 2863, ifIndex

This variable uniquely identifies the interface to which the MAU described by this entry is connected.

ifMauIndex

Integer32 (1..2147483647)

Reference: [IEEE802.3], 30.5.1.1.1, aMAUID.

This variable uniquely identifies the MAU described by this entry from among other MAUs connected to the same interface (ifMauIfIndex).

cmExtIfMauTrafficType

1.3.6.1.4.1.9.9.398.1.3.1.1.1

INTEGER1 = other2 = adminControl3 = user · Integer32

This object is used to identify the type of traffic carried by the MAU. This object can take the following values other(1) - The traffic type is other than anything defined below adminControl(2) - This interface carries administrative and control traffic that is internal to the device user(3) - This interface carries the user data traffic

↑ To TOC